MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024517Community[OCCT] OCCT:Data Exchangepublic2014-01-08 12:382014-05-05 13:37
Reportergdumonteil 
Assigned Tobugmaster 
PriorityurgentSeveritycrash 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024517: Crash at StepToTopoDS_TranslateEdge::Init()
DescriptionIssue 0023938 is parent.

The first crash of issue 0023938 is corrected but the second is still crashing our application.

The crash is at "StepToTopoDS_TranslateEdge::Init()", at line 308, when testing the kind of C: "if ( C->IsKind(STANDARD_TYPE(StepGeom_Pcurve)))"

We correct here also by cheking the nullity of C before calling the IsKind function:

if (!C.IsNull()) {
  if ( C->IsKind(STANDARD_TYPE(StepGeom_Pcurve))) {

With this, we're finally able to fully transfer the STEP file.
Steps To ReproduceWe can't share the STEP file from our client. The STEP file was exported from SolidWorks 2011.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023938closedika Crash at StepToTopoDS_TranslateEdgeLoop::Init() &StepToTopoDS_TranslateEdge::Init() 

-  Notes
(0027535)
gka (developer)
2014-01-17 13:08

Branch CR24517 is ready to be reviewed.
(0027539)
abv (manager)
2014-01-17 16:04

No remarks, please test
(0027588)
mkv (tester)
2014-01-22 11:06

Dear BugMaster,

Branch CR24517 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 147098f646f964d17361aed67f274718187ca385

Number of compiler warnings:

occt component :
Linux: 48 (48 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365409044 / 365937044
Total CPU difference: 43525.38000000006 / 44020.780000000144

Testing on Windows:
Total MEMORY difference: 417225024 / 417459436
Total CPU difference: 32393.828125 / 32496.375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 545ef510
Timestamp: 2014-01-23 07:44:07
Author: gka
Committer: bugmaster
Details ] Diff ]
0024517: Crash at StepToTopoDS_TranslateEdge::Init()

Fixed crash at StepToTopoDS_TranslateEdge::Init() for case when curve is absent)

Corrected error message for case of absence geom curve in edge curve
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-08 12:38 gdumonteil New Issue
2014-01-08 12:38 gdumonteil Assigned To => gka
2014-01-17 11:40 gka Status new => assigned
2014-01-17 13:08 gka Note Added: 0027535
2014-01-17 13:08 gka Assigned To gka => abv
2014-01-17 13:08 gka Status assigned => resolved
2014-01-17 16:04 abv Note Added: 0027539
2014-01-17 16:04 abv Assigned To abv => bugmaster
2014-01-17 16:04 abv Status resolved => reviewed
2014-01-20 17:48 mkv Assigned To bugmaster => mkv
2014-01-22 11:05 mkv Relationship added child of 0023938
2014-01-22 11:06 mkv Note Added: 0027588
2014-01-22 11:07 mkv Test case number => Not needed
2014-01-22 11:07 mkv Assigned To mkv => bugmaster
2014-01-22 11:07 mkv Status reviewed => tested
2014-01-23 10:14 bugmaster Target Version => 6.7.1
2014-01-24 15:35 bugmaster Changeset attached => occt master 545ef510
2014-01-24 15:35 bugmaster Status tested => verified
2014-01-24 15:35 bugmaster Resolution open => fixed
2014-05-05 13:34 user533 Status verified => closed
2014-05-05 13:37 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker